Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(Risolto) openssl-1.1.0i:0?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Fri Sep 07, 2018 9:24 pm    Post subject: (Risolto) openssl-1.1.0i:0? Reply with quote

Ciao, un'altra problema, io come ho già citato su un'altro post, io ieri sera ho avuto un problema con una installazione pulita di Gentoo quando stavo installando KDE. Con Plasma-Meta mi chiedeva una versione testing di openssl (openssl-1.1.0i:0) l'ho installato il pacchetto ma un'altro pacchetto in lista "(ibssh) mi falliva la compilazione per colpa di openssl ma la questione la avevo risolta inizialmente installando manualmente gran parte dei pacchetti in lista per saltare il pacchetto che mi falliva la compilazione, poi ho installato la versione desktop di plasma, ho disinstallato la versione instabile di openssl e poi ho installando plasma-meta per i pacchetti mancanti. Ma adesso usando il comando "emerge --ask --update --deep --with-bdeps=y @world" per gli aggiornamenti mi richiede ancora la versione testing di openssl, tanto che ho provato a installarlo ma mi fallisce la compilazione, ma perché mi richiede questo pacchetto se non ho nulla di testing e ho tutto in versione stable? comunque i pacchetti in lista per l'aggiornamento sono:
dev-libs/openssl-1.1.0i:0/1.1::gentoo:
net-libs/libssh-0.7.4:0/4::gentoo
dev-libs/xmlsec-1.2.26:0/0
net-libs/libtorrent-rasterbar-1.1.5-r1:0/9
dev-python/m2crypto-0.24.0:0/0
net-misc/openssh-7.7_p1-r9:0/0
dev-qt/qtnetwork-5.9.6:5/5.9
dev-db/mysql-connector-c-6.1.11-r1:0/18
net-misc/iputils-20171016_pre:0/0
media-sound/pulseaudio-11.1-r1:0/0
x11-base/xorg-server-1.19.5-r2:0/1.19.5
app-text/mupdf-1.13.0:0/1.13.0
dev-lang/python-3.5.5:3.5/3.5m
www-client/w3m-0.5.3_p20180125:0/0
net-libs/neon-0.30.2:0/27
app-arch/libarchive-3.3.1:0/13
net-nds/openldap-2.4.44:0/0
dev-lang/ruby-2.3.7:2.3/2.3::gentoo

Grazie


Last edited by darkfor.con on Sat Sep 08, 2018 5:14 pm; edited 1 time in total
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Sat Sep 08, 2018 5:13 pm    Post subject: Reply with quote

Ho risolto! Io sono stato per un pò dietro al computer per capire il motivo che mi chiede una versione testing di openssl (1.1.0i), ho fatto vari tentativi ma poi ci sono arrivato, Quando ho installato openssl (1.1.0i) perché me lo chiedeva l'installazione di plasma-meta (che questo devo ancora capirla) e mi ho compilato alcuni pacchetti automaticamente ma alcuni li ho installati pacchetto per pacchetto manualmente perché mi falliva la compilazione di un pacchetto li ha compilati con openssl testing ancora installato, poi l'ho disinstallato e ho installato la versione stable di openssl (1.0.2p), quindi li aveva compilati compatibili per openssl-1.1.0i. Ho guardato i conflitti e infatti c'erano pacchetti in lista che chiedevano l'openssl-1.1.0i. Li ho disinstallati e reinstallati tutti i pacchetti in lista che me lo richiedevano con la versione stable di openssl già installato, quindi adesso non me lo chiede più e faccio aggiornamenti senza problemi. Infondo sono stato dietro ore al mio computer per risolvere questo problema di un openssl testing che mi falliva pure le compilazioni ma infondo non è stata una brutta avventura perché durante questo problema ho risolto anche vari conflitti di dipendenze e ho capito ancora meglio come gestire Gentoo
Back to top
View user's profile Send private message
sabayonino
l33t
l33t


Joined: 03 Jan 2012
Posts: 611

PostPosted: Sat Sep 08, 2018 5:26 pm    Post subject: Reply with quote

Più pratico un :
Code:
# emerge --depclean dev-libs/openssl:0 --ask && emerge =dev-libs/openssl-X.Y.Z && revdep-rebuild


:roll:
_________________
BOINC ed il calcolo distribuito
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Sat Sep 08, 2018 6:46 pm    Post subject: Reply with quote

Quote:
Più pratico un :

Code:
# emerge --depclean dev-libs/openssl:0 --ask && emerge =dev-libs/openssl-X.Y.Z && revdep-rebuild


Grazie del suggerimento ma sono da poco su Gentoo e devo capire ancora molto sui comandi di portage
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum